﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCKnockout.Models;

namespace MVCKnockout.Controllers
{
    public class GiftController : Controller
    {
        //
        // GET: /Gift/

        public ActionResult GetData()
        {
            var initialState = new[] 
            {
                new GiftModel { Title = "Tall Hat", Price = 49.95 },
                new GiftModel { Title = "Long Cloak", Price = 78.25 }
            };

            return Json(initialState, JsonRequestBehavior.AllowGet);
        }


        [HttpPost]
        public ActionResult Save(List<GiftModel> gifts)
        {
            // TODO: Save each gift in the list to a repository

            return Json(new {AllMyDataSavedOK = true, Count = gifts.Count});
        }

    }
}
